package edu.cmu.cs.l3.absyn;

import edu.cmu.cs.l3.symbol.*;
import java.util.*;

public class ASProcedureExpression extends ASExpression {

    public ASProcedureExpression(int p, Symbol name, List explist) {
	super(p); m_name = name; m_params = explist;

	m_classname = "ASProcedureExpression";
    }

    public List getParameters() {
	return m_params;
    }

    public Symbol getName() {
	return m_name;
    }

    public void setName(Symbol name) {
        m_name = name;
    }

    private List m_params;
    private Symbol m_name;

}